// creator  : weidu.exe (version 23100)
// argument : PALA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~PALA~

IF ~False()~ THEN BEGIN 0 // from:
  SAY #24474 /* ~Mazzy? I feel so tired. Where am I?~ */
  IF ~~ THEN DO ~SetGlobal("PalaCured","GLOBAL",1)~ EXTERN ~MAZZYJ~ 56
END

IF ~~ THEN BEGIN 1 // from:
  SAY #24475 /* ~What happened to me? The last thing I remember was seeing Danno and drinking something.~ */
  IF ~~ THEN EXTERN ~DANNO1~ 3
END

IF ~~ THEN BEGIN 2 // from:
  SAY #24483 /* ~Yes, I shall sleep.~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 58
END

IF ~Global("PalaCured","GLOBAL",0)
GlobalGT("Pala","GLOBAL",0)
!Global("Pala","GLOBAL",10)~ THEN BEGIN 3 // from:
  SAY #44489 /* ~(The halfling woman is sleeping fitfully, sweating and stirring as if dreaming of disturbing things.  She does not awaken.)~ */
  IF ~~ THEN EXIT
END

IF ~Global("palacured","GLOBAL",1)
InPartyAllowDead("Mazzy")
!Dead("cefald01")~ THEN BEGIN 4 // from:
  SAY #44491 /* ~Trademeet has been under siege by nature for many weeks and the people are fearful.  We will show you hospitality here, if you find none elsewhere.~ */
  IF ~~ THEN EXIT
END

IF ~Global("palacured","GLOBAL",1)
InPartyAllowDead("Mazzy")
Dead("cefald01")
Global("geniesgone","GLOBAL",0)~ THEN BEGIN 5 // from:
  SAY #44492 /* ~You have done a wondrous thing, and the entire town should thank you for it!  The attacks have stopped and peace has returned at long last!~ */
  IF ~~ THEN EXIT
END

IF ~Global("palacured","GLOBAL",1)
InPartyAllowDead("Mazzy")
Dead("cefald01")
Global("geniesgone","GLOBAL",1)~ THEN BEGIN 6 // from:
  SAY #44495 /* ~I am told you are true heroes in Trademeet... nothing could make me happier that Mazzy stands as one amongst you.~ */
  IF ~~ THEN EXIT
END

IF ~Global("palacured","GLOBAL",1)
!InPartyAllowDead("Mazzy")
!Dead("Mazzy")~ THEN BEGIN 7 // from:
  SAY #44496 /* ~Mazzy has told me about you, <SIRMAAM>.  Thank you for your help in healing my illness.~ */
  IF ~~ THEN EXIT
END

IF ~Global("palacured","GLOBAL",1)
!InPartyAllowDead("Mazzy")
Dead("Mazzy")~ THEN BEGIN 8 // from:
  SAY #44497 /* ~My sister is dead.  Nothing you could do, no deed you could perform, would bring her back to me.  Please... if you are kind, leave us to our grief.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Pala","GLOBAL",0)
!InParty("Mazzy")
!Dead("Mazzy")~ THEN BEGIN 9 // from:
  SAY #46946 /* ~Uhm, who are you and why are you in my house?~ */
  IF ~~ THEN EXIT
END

IF ~InParty("Mazzy")
See("Mazzy")
!Dead("Mazzy")~ THEN BEGIN 10 // from:
  SAY #46947 /* ~Hello sister! It is nice to see you home.~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 120
END

IF ~~ THEN BEGIN 11 // from:
  SAY #46949 /* ~I wouldn't be adverse to that. A cask maker would be a fine catch, nay?~ */
  IF ~~ THEN EXTERN ~MAZZYJ~ 121
END

IF ~Global("Pala","GLOBAL",0)
!InPartyAllowDead("Mazzy")
Dead("Mazzy")~ THEN BEGIN 12 // from:
  SAY #46951 /* ~We have recently received word of my sister's passing. Please leave us be.~ */
  IF ~~ THEN EXIT
END

IF ~Global("Pala","GLOBAL",0)
InParty("Mazzy")
!See("Mazzy")~ THEN BEGIN 13 // from:
  SAY #61842 /* ~Mazzy has told me about you.  Welcome to my home, <GABBER>.~ */
  IF ~~ THEN EXIT
END

IF ~Global("MazzyNoCure","GLOBAL",1)~ THEN BEGIN 14 // from:
  SAY #61845 /* ~I am better, now, no thanks to you.  My sister does not wish you here, so please leave at once.~ */
  IF ~~ THEN EXIT
END
